PHP 5.4.x and later are not supported.

We are on version 3.06 and recently started getting the message …



PHP 5.4.x and later are not supported.



We are on a shared Hostmonster plan and have been for 4+ years. Both the CS-CART software and Hosting plan have been working great for us!



I ran this down and yes, Hostmonster is going through a mandatory upgrade to version 5.4. For the time being we were able to revert back to PHP 5.2x and that did solve our immediate problem.



However, running PHP version 5.2 or 5.3 is not going to be an option for shared hosting plans very soon … we are talking weeks. At that time 5.4 will be our only option.



So the questions …




  • How can we make CS-CART 3.06 run with PHP 5.4x??


  • Does the latest version of CS-CART support 5.4, or if not, when will it?



    Thanks for your help guy and gals!

V4 does support PHP 5.4. Suggest you move from a shared plan to a small VPS. You can then stay at your current version of PHP and your current version of cs-cart.

[quote name='tbirnseth' timestamp='1386883836' post='173425']

V4 does support PHP 5.4. Suggest you move from a shared plan to a small VPS. You can then stay at your current version of PHP and your current version of cs-cart.

[/quote]



We'll evaluate the cost for a small VPS. But that said, is Version 4 out and available for upgrade??

Well I answered my own question … It appears version 4 is out yet you recommended a small VPS as opposed to an upgrade… So the next questions are …


  • Is the current version level of version 4 considered stable?


  • Is the upgrade from 3.06 reasonably seamless? Or, is it fraught with problems.

Depends on which demon you want to battle… An older stable version of both PHP and cs-cart or the current V4 and newer PHP.

You can read tons of stuff here about stability/issues with V4. You can draw your own conclusions based on your business needs.

There are a few bugs in 4 but it really doesn't stop the store working and selling for you. You might want to wait for the next release with a lot more bugs fixed.

Thanks for your comments folks! I'll do some digging here!